<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Exercice - Bootstrap Grid</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB"
        crossorigin="anonymous">

    <style>
        article {
            height: 100px;
            border: 1px solid black;
        }
    </style>
</head>

<body>
    <div class="container-fluid">
        <div class="row">
            <!-- d-none permet de cacher un élément sur un écran xs ou plus.
            d-md-block permet d'afficher un élément sur un écran medium ou plus
            (en gros, on cache l'élément en dessous de la taille medium) -->
            <div class="col-lg-6 col-12 d-none d-md-block">
                <!-- Lorsqu'on met une row à l'intérieur d'une autre row,
                on resegmente l'élément actuel en 12 cases. -->
                <div class="row">
                    <!-- Ici, les paragraphes prennent 3 colonnes jusqu'au lg,
                    où ils en prendront 12, mais ce sont 3 et 12 colonnes du nombre
                    de colonnes parent, à savoir 6 en lg ou 12 en dessous-->
                    <p class="col-lg-12 col-3">filter by</p>
                    <p class="col-lg-12 col-3">price</p>
                    <p class="col-lg-12 col-3">type</p>
                    <p class="col-lg-12 col-3">size</p>
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="row">
                    <!-- pb-1 ajoute un padding bottom à l'élément
                         sur les écran xs et plus -->
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                    <div class="col-md-4 col-6 pb-1">
                        <article></article>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>